Bug 970636 - RPM copy performance is poor
Summary: RPM copy performance is poor
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support   
(Show other bugs)
Version: Master
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.2.0
Assignee: Jay Dobies
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-04 13:35 UTC by Jay Dobies
Modified: 2013-09-10 15:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 15:45:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Dobies 2013-06-04 13:35:32 UTC
At some point, the change made back in April to limit the fields retrieved in a copy was lost. This BZ is to track adding that back.

Comment 1 Jeff Ortel 2013-06-06 16:20:20 UTC
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.

Comment 2 Preethi Thomas 2013-06-19 18:59:40 UTC
verified
I did not see memory going as high as it used to on repo copy 

[root@ibm-x3550m3-13 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.4.beta.fc18.noarch
[root@ibm-x3550m3-13 ~]#

Comment 3 Preethi Thomas 2013-06-19 19:00:39 UTC
[root@ibm-x3550m3-13 ~]# ps auxf | grep wsgi
root      8203  0.0  0.0 109180   924 pts/1    S+   15:00   0:00  |       \_ grep --color=auto wsgi
apache    5435 22.1  3.8 2269040 947464 ?      Sl   11:28  46:52  \_ (wsgi:pulp)     -DFOREGROUND
[root@ibm-x3550m3-13 ~]# 
[root@ibm-x3550m3-13 ~]# 
[root@ibm-x3550m3-13 ~]# pmap -d 5435 |tail -n 1
mapped: 2269040K    writeable/private: 1094720K    shared: 508K
[root@ibm-x3550m3-13 ~]#

Comment 4 Preethi Thomas 2013-09-10 15:45:18 UTC
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/


Note You need to log in before you can comment on or make changes to this bug.